%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

# Generated from fog-softlayer-0.3.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fog-softlayer

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.3.18
Release: 1%{?dist}
Summary: Module for the 'fog' gem to support SoftLayer Cloud
Group: Development/Languages
License: MIT
URL: https://github.com/fog/fog-softlayer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix}rubygem(fog-core)
BuildRequires: %{?scl_prefix}rubygem(fog-json)
#BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
#BuildRequires: %{?scl_prefix_ror}rubygem(shindo)
BuildArch: noarch

Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(fog-core)
Requires: %{?scl_prefix}rubygem(fog-json)

Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
%description
This library can be used as a module for `fog` or as standalone provider to
use the SoftLayer Cloud in applications.

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite

%check
#pushd .%{gem_instdir}
# Ignore code coverage.
#sed -i "/require 'simplecov'/ s/^/#/" tests/helper.rb

#FOG_MOCK=true shindont
#%{?scl:scl enable %{scl} - << \EOF}
#ruby -Ilib -e 'Dir.glob "./spec/**/*_spec.rb", &method(:require)'
#%{?scl:EOF}
#popd

%files
%doc %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/CONTRIBUTORS.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%doc %{gem_instdir}/examples
%{gem_instdir}/fog-softlayer.gemspec
%{gem_instdir}/gemfiles
%{gem_instdir}/spec
%{gem_instdir}/tests

%changelog
* Mon Sep 29 2014 Brett Lentz <blentz@redhat.com> - 0.3.18-1
- New upstream release

* Thu Jul 31 2014 Vít Ondruch <vondruch@redhat.com> - 0.3.11-1
- Initial package
